import { DTOModel } from "core/dto_model";

export interface UserDTO extends DTOModel<{
  username: string;
  first_name: string;
  last_name: string;
  bio?: string;
  email: string;
}> {}

export interface CreateUserRequest {
  first_name: string;
  last_name: string;
  email: string;
  username: string;
}